%module gtkxmhtml

%{
#include <gtk-xmhtml/gtk-xmhtml.h>
%}

GtkWidget *gtk_xmhtml_new         	   	  (void);
void gtk_xmhtml_freeze       	   	     	  (GtkXmHTML *html);
void gtk_xmhtml_thaw         	   	     	  (GtkXmHTML *html);
void gtk_xmhtml_source       	   	     	  (GtkXmHTML *html,
						   char *source);
void gtk_xmhtml_set_string_direction  	     	  (GtkXmHTML *html,
						   int direction);
void gtk_xmhtml_set_alignment         	     	  (GtkXmHTML *html,
						   int alignment);
void gtk_xmhtml_set_font_familty                  (GtkXmHTML *html,
						   char *family,
						   char *sizes);
void gtk_xmhtml_set_font_familty_fixed            (GtkXmHTML *html,
						   char *family,
						   char *sizes);
void gtk_xmhtml_set_font_charset                  (GtkXmHTML *html,
						   char *charset);
void gtk_xmhtml_set_allow_body_colors             (GtkXmHTML *html,
						   int enable);
void gtk_xmhtml_set_hilight_on_enter              (GtkXmHTML *html,
						   int flag);
void gtk_xmhtml_set_anchor_underline_type         (GtkXmHTML *html,
						   int underline_type);
void gtk_xmhtml_set_anchor_visited_underline_type (GtkXmHTML *html,
						   int underline_type);
void gtk_xmhtml_set_anchor_target_underline_type  (GtkXmHTML *html,
						   int underline_type);
void gtk_xmhtml_set_allow_color_switching         (GtkXmHTML *html,
						   int flag);
void gtk_xmhtml_set_dithering                     (GtkXmHTML *html,
						   XmHTMLDitherType flag);
void gtk_xmhtml_set_allow_font_switching          (GtkXmHTML *html,
						   int flag);
void gtk_xmhtml_set_max_image_colors              (GtkXmHTML *html,
						   int max_colors);
void gtk_xmhtml_set_allow_images                  (GtkXmHTML *html,
						   int flag);
void gtk_xmhtml_set_plc_intervals                 (GtkXmHTML *html, 
						   int min_delay,
						   int max_delay,
						   int def_delay);
void gtk_xmhtml_set_def_body_image_url            (GtkXmHTML *html,
						   char *url);
void gtk_xmhtml_set_anchor_buttons                (GtkXmHTML *html,
						   int flag);
void gtk_xmhtml_set_anchor_cursor                 (GtkXmHTML *html,
						   GdkCursor * cursor,
						   int flag);
void gtk_xmhtml_set_topline                       (GtkXmHTML *html,
						   int line);
int gtk_xmhtml_get_topline                        (GtkXmHTML *html);
void gtk_xmhtml_set_freeze_animations             (GtkXmHTML *html,
						   int flag);
void gtk_xmhtml_set_screen_gamma                  (GtkXmHTML *html,
						   float     gamma);
void gtk_xmhtml_set_image_procs                   (GtkXmHTML         *html,
						   XmImageProc       image_proc,
						   XmImageGifProc    gif_proc,
						   XmHTMLGetDataProc get_data,
						   XmHTMLEndDataProc end_data);
void gtk_xmhtml_set_event_proc                    (GtkXmHTML         *html,
						   XmHTMLEventProc   event_proc);
void gtk_xmhtml_set_perfect_colors                (GtkXmHTML *html, int flag);
void gtk_xmhtml_set_uncompress_command            (GtkXmHTML *html, char *cmd);
void gtk_xmhtml_set_strict_checking               (GtkXmHTML *html, int flag);
void gtk_xmhtml_set_bad_html_warnings             (GtkXmHTML *html, int flag);
void gtk_xmhtml_set_allow_form_coloring           (GtkXmHTML *html, int flag);
void gtk_xmhtml_set_imagemap_draw                 (GtkXmHTML *html, int flag);
void gtk_xmhtml_set_mime_type                     (GtkXmHTML *html, char *mime_type);
void gtk_xmhtml_set_alpha_processing              (GtkXmHTML *html, int flag);
void gtk_xmhtml_set_rgb_conv_mode                 (GtkXmHTML *html, int val);

