indexing
   description : "Simple Demo of HTML browser widget"
   project     : "gtkxmhtml Wrapper"
   author      : "Pirmin Kalberer <kalberer@spin.ch>"
   copyright   : "Copyright (c) 1999, Pirmin Kalberer"
   date        : "$Date: 1999/08/27 20:23:08 $"
   revision    : "$Revision: 1.2 $"

class TESTHTML
   
inherit 
   GTK_MAIN
   GTK_COMMAND

creation
   make
   
feature -- Creation
   
   make is
      local
	 html_widget: GTKXMHTML
	 window : GTK_WINDOW
      do
	 -- GTK_MAIN.init is called in all GTK applications. 
	 -- Command line arguments are parsed automatically. 
	 init

	 -- Create a new (toplevel) window.
	 !!window.make

	 -- Arrange for window destruction to exit program
	 window.signal_connect("destroy", Current, Void)

	 -- Create the html_widget
	 !!html_widget.make
	 html_widget.source("<BODY>Hi</BODY>")

	 -- Add the html_widget to the toplevel window
	 window.add(html_widget)

	 -- Show the html_widget and the window
	 html_widget.show
	 window.show_all
	 
	 -- Enter GTK main loop. Control ends here and waits for an 
	 -- event, such as a html_widget press, to occur. 
	 main

      end -- make

   execute (data : ANY) is
      do
	 quit
	 exit(0)
      end

end 

